<div class="container-m--x bredcrumb admin-bg" style="margin-top:-11.9px;">
   <div class="row px-4 f-16 white">
       <div class="col-md-4">
           <span (click)="goToDefaultPage()" class="cursor"><i class="las la-home f-18 "></i></span>
           <span class="px-3"><i class="las la-angle-right f-12 "></i></span>
           <span class="font-weight-normal">Administration</span>
       </div>
   </div>
</div>
<div>
   <div class="content">
       <div class="content_width">
           <div class="row">
               <div class="col-md-3 sidebar_top">
                   <admin-sidebar></admin-sidebar>
               </div>
               <div class="col-md-9 card_title_top modal-body">
                   <label>
                       <h2 class="card-title-material">Theme</h2>
                   </label>
                           <div class="table-wrapper mt-2">
                               <div class="row">
                                   <div class='col-md-12'>
                                       <div class="form-group" style="display: inline-flex;">
                                           <label style="margin:2em">
                                               <h3 class="card-title-material mb-0">Brand Color</h3>
                                           </label>
                                           <ul style="margin: 2em;  margin-left: 0em;"  >
                                                <li [ngClass]="colors==primaryBg?'primary_active':''" (click)="chooseBrandColor(colors)" *ngFor="let colors of BrandColors;"><span class="color" [ngStyle]="setBrandColor(colors.bgcolor)"></span></li>
                                           </ul>
                                       </div>
                                       <div class="form-group theme_group">
                                           <label style="margin: 0em 2em;">
                                               <h3 class="card-title-material mb-0">Chart Colors</h3>
                                           </label>

                                           <div id="dd" class="demo-navbar-user nav-item dropdown wrap-select"
                                               ngbDropdown [placement]="'bottom-right'"
                                               class="ml-1 chart_color_dropdown"
                                               style="cursor: pointer;">

                                               <a class="nav-link dropdown-toggle chart_color_a" href="javascript:void(0)"
                                                   ngbDropdownToggle aria-expanded="true"
                                                   (currentSelectiondefault)="selectedValue">

                                                   <h5 class="chart_color_h5">
                                                       {{selectedValue?.label}}
                                                   </h5>
                                                   <ul class="dropdown-item-ul chart_color_ul">
                                                     <li  *ngFor="let colors of selectedValue.value;"><span class="chart_color" [style.backgroundColor]="colors"></span></li>
                                                   </ul>
                                               </a>
                                               <div ngbDropdownMenu class="mt-3 py-2 wrapper-dropdown-3"
                                                   style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important; width: 100%;">
                                                   <a  class="dropdown-item" href="javascript:void(0)" *ngFor="let option of ChartColors;"
                                                       (click)="setCurrentSelection(option)">
                                                       <h5>
                                                           {{option?.label}}
                                                       </h5>
                                                        <ul class="dropdown-item-ul">
                                                           <li  *ngFor="let colors of option.value;"><span class="chart_color" [style.backgroundColor]="colors"></span></li>
                                                        </ul>
                                                   </a>
                                               </div>
                                               
                                           </div>
                                       </div>
                                       
                                   </div>
                               </div>
                               <div class="admin_panel modal-footer">
                                <button [ladda]="isloading" class="btn btn-primary float-right" (click)="fn_ApplyTheme()">Apply</button>
                             </div>
                           </div>
                        </div>  
                   </div>
               </div>
           </div>
</div>